package com.example.tampopo_client.models;

public class User {

    private String userId; //ユーザーID
    private String  name; //ニックネーム
    private String  email; //メールアドレス
    private String  icon; //アイコン
    private String  token; //トークン


    //コンストラクタ
    public User(String name, String email, String icon) {
        this.name  = name;
        this.email = email;
        this.icon  = icon;
    }

    public User() {

    }


    public String getId()             {
        return userId;
    }
    public void    setId(String userId)   {
        this.userId = userId;
    }

    public String  getName()           {
        return name;
    }
    public void    setName(String name){
        this.name = name;
    }

    public String  getEmail()               {
        return email;
    }
    public void    setEmail(String email)   {
        this.email = email;
    }

    public String  getIcon()           {
        return icon;
    }
    public void    setIcon(String icon){
        this.icon = icon;
    }

    public String  getToken()            {
        return token;
    }
    public void    setToken(String token){
        this.token = token;
    }

    public void setPassword(String body) {
    }
}
